%global _hardened_build 1

%global major 0
%global minor 032

Name:               peervpn
Version:            %{major}.%{minor}
Release:            alt1_1
Summary:            A VPN software using full mesh network topology

Group:              Networking/WWW
License:            GPLv3+
URL:                http://www.peervpn.net/
Source0:            http://www.peervpn.net/files/peervpn-%{major}-%{minor}.tar.gz
Source1:            %{name}@.service
Source2:            README.Fedora

BuildRequires:      libssl-devel
BuildRequires:      systemd
# for /usr/sbin/ip
Requires:           iproute
# for /usr/sbin/ifconfig
Requires:           net-tools
Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd
Source44: import.info

%description
PeerVPN is software that builds virtual Ethernet networks between multiple
computers. It uses full mesh network topology and can automatically build
tunnels through firewalls and NATs. It supports shared key encryption and
authentication.

%prep
%setup -q -n peervpn-%{major}-%{minor}

%build
make %{?_smp_mflags} \
    CFLAGS="%{?optflags} `pkg-config --cflags libcrypto`" \
    LDFLAGS="%{?__global_ldflags}" \
    LIBS="`pkg-config --libs libcrypto`"

%install
install -D -m 0755 peervpn %{buildroot}%{_sbindir}/%{name}
install -d -m 0700 %{buildroot}%{_sysconfdir}/%{name}
install -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}@.service
cp %{SOURCE2} .

%post
find %{_sysconfdir}/%{name} -name \*.conf 2>/dev/null | while read conf; do
    conf=${conf#%{_sysconfdir}/%{name}/}; conf=${conf%.conf}
    %post_service %{name}@${conf}
done

%preun
find %{_sysconfdir}/%{name} -name \*.conf 2>/dev/null | while read conf; do
    conf=${conf#%{_sysconfdir}/%{name}/}; conf=${conf%.conf}
    %preun_service %{name}@${conf}
done

%postun
find %{_sysconfdir}/%{name} -name \*.conf 2>/dev/null | while read conf; do
    conf=${conf#%{_sysconfdir}/%{name}/}; conf=${conf%.conf}
:  
done

%files
%doc license.txt peervpn.conf README.Fedora
%{_sbindir}/%{name}
%{_unitdir}/%{name}@.service
%attr(700,root,root) %config %dir %{_sysconfdir}/%{name}

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.032-alt1_1
- initial fc import

